| Home | Libraries | People | FAQ | More

## Function template is_permutation

boost::algorithm::is_permutation — Tests to see if the sequence [first,last) is a permutation of the sequence starting at first2.

## Synopsis

    // In header: <boost/algorithm/cxx11/is_permutation.hpp>

    template<typename ForwardIterator1, typename ForwardIterator2,
             typename BinaryPredicate>
      bool is_permutation(ForwardIterator1 first1, ForwardIterator1 last1,
                          ForwardIterator2 first2, BinaryPredicate p);

## Description

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first1` | The start of the input sequence
`first2` | The start of the second sequence
`last1` | One past the end of the input sequence
`p` | The predicate to compare elements with